package com.zehong.system.service;

import java.util.List;

import com.zehong.system.domain.TDetectorUser;
import com.zehong.system.domain.TYehuaqiUser;
import com.zehong.system.domain.vo.*;

/**
 * 燃气用户Service接口
 * 
 * @author zehong
 * @date 2022-09-14
 */
public interface ITYehuaqiUserService 
{
    /**
     * 查询燃气用户
     * 
     * @param userId 燃气用户ID
     * @return 燃气用户
     */
    public TYehuaqiUser selectTYehuaqiUserById(Long userId);

    /**
     * 查询燃气用户列表
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 燃气用户集合
     */
    public List<TYehuaqiUser> selectTYehuaqiUserList(TYehuaqiUser tYehuaqiUser);

    public List<TYehuaqiUser> selectAllUserList(TYehuaqiUser tYehuaqiUser);

    /**
     * 根据企业id统计错误数据
     * @return r
     */
    public int countByBeyondEnterpriseId();


    /**
     * 处理 解析好的 多sheet 导入的数据
     * @param gasUserExportVos g
     * @param safetyDeviceExportVos s
     */
    public void handleCustomMoreSheetImportData(List<UserManageGasUserExportVo> gasUserExportVos,
                                                List<YeHuaqiUserManageSafetyDeviceExportVo> safetyDeviceExportVos,
                                                boolean updateSupport ,boolean reImportOfIncorrectDataFlag) ;


    /**
     * 查询燃气用户列表 - 导出使用
     *
     * @param tDetectorUser 燃气用户
     * @return 燃气用户集合
     */
    public List<TYehuaqiUser> selectForExportTYehuaqiUserList(TYehuaqiUser tDetectorUser);

    /**
     * 查询导入的错误数据
     * @return r
     */
    public List<TYehuaqiUser> queryErrorDetectorUserList();

    /**
     * 新增燃气用户
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 结果
     */
    public int insertTYehuaqiUser(TYehuaqiUser tYehuaqiUser);

    /**
     * 修改燃气用户
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 结果
     */
    public int updateTYehuaqiUser(TYehuaqiUser tYehuaqiUser);

    /**
     * 批量删除燃气用户
     * 
     * @param userIds 需要删除的燃气用户ID
     * @return 结果
     */
    public int deleteTYehuaqiUserByIds(Long[] userIds);

    /**
     * 删除燃气用户信息
     * 
     * @param userId 燃气用户ID
     * @return 结果
     */
    public int deleteTYehuaqiUserById(Long userId);


    /**
     * 新增燃气用户和安全装置
     * @param gasUserAndSafetyDeviceVo gas
     * @return r
     */
    public int addUserAndSafetyDevice(GasUserAndSafetyDeviceVo gasUserAndSafetyDeviceVo);

    /**
     * 修改燃气用户和安全装置
     * @param gasUserAndSafetyDeviceVo gas
     * @return r
     */
    public int updateUserAndSafetyDevice(GasUserAndSafetyDeviceVo gasUserAndSafetyDeviceVo);
}
